Berkeley DB version 4.5.20

## com.sleepycat.db
Class LockMode

    java.lang.Object
      com.sleepycat.db.LockMode

    public final class LockMode

extends Object

Locking modes for database operations. Locking modes are required parameters for operations that retrieve data or modify the database.

Field Summary
`static LockMode` `DEFAULT` Acquire read locks for read operations and write locks for write operations.
`static LockMode` `DEGREE_2` Deprecated. This has been replaced by `READ_COMMITTED` to conform to ANSI database isolation terminology.
`static LockMode` `DIRTY_READ` Deprecated. This has been replaced by `READ_UNCOMMITTED` to conform to ANSI database isolation terminology.
`static LockMode` `READ_COMMITTED` Read committed isolation provides for cursor stability but not repeatable reads.
`static LockMode` `READ_UNCOMMITTED` Read modified but not yet committed data.
`static LockMode` `RMW` Acquire write locks instead of read locks when doing the retrieval.

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT

    public static final LockMode DEFAULT

  Acquire read locks for read operations and write locks for write operations.

### RMW

    public static final LockMode RMW

  Acquire write locks instead of read locks when doing the retrieval. Setting this flag can eliminate deadlock during a read-modify-write cycle by acquiring the write lock during the read part of the cycle so that another thread of control acquiring a read lock for the same item, in its own read-modify-write cycle, will not result in deadlock.

### READ_UNCOMMITTED

    public static final LockMode READ_UNCOMMITTED

  Read modified but not yet committed data.

### DIRTY_READ

    public static final LockMode DIRTY_READ

  Deprecated. This has been replaced by `READ_UNCOMMITTED` to conform to ANSI database isolation terminology.
  Read modified but not yet committed data.

### READ_COMMITTED

    public static final LockMode READ_COMMITTED

  Read committed isolation provides for cursor stability but not repeatable reads. Data items which have been previously read by this transaction may be deleted or modified by other transactions before the cursor is closed or the transaction completes.

  Note that this LockMode may only be passed to `Database` get methods, not to `Cursor` methods. To configure a cursor for Read committed isolation, use `CursorConfig.setReadCommitted(boolean)`.

### DEGREE_2

    public static final LockMode DEGREE_2

  Deprecated. This has been replaced by `READ_COMMITTED` to conform to ANSI database isolation terminology.
  Read committed isolation provides for cursor stability but not repeatable reads. Data items which have been previously read by this transaction may be deleted or modified by other transactions before the cursor is closed or the transaction completes.

  Note that this LockMode may only be passed to `Database` get methods, not to `Cursor` methods. To configure a cursor for Read committed isolation, use `CursorConfig.setReadCommitted(boolean)`.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Berkeley DB version 4.5.20

Copyright(c) 1996-2006 Oracle Corporation - All rights reserved.